%global _hardened_build 1
%{!?_syprefix: %define _syprefix /opt/symas }
%{!?_etcfix: %define _etcfix %{_syprefix}/etc }
%{!?_sylibdir: %define _sylibdir %{_syprefix}/lib }
%{!?_varfix: %define _varfix /var/symas }

Name:		symas-cyrus-sasl
Version:	2.1.28
Release:	2%{?dist}
Summary:	Symas's Cyrus-SASL build

License:	MIT
URL:		https://cyrusimap.org/
VCS:		https://git.symas.net/symas-public/cyrus-sasl.git
Source:		%{name}-%{version}.tar.gz

BuildRequires:	gcc, make, automake, libtool, autoconf
BuildRequires:	symas-heimdal-devel, symas-openssl-devel
Requires:		symas-cyrus-sasl-libs = %{version}-%{release}
Requires:		symas-openssl-libs, symas-heimdal-libs
AutoReqProv:	no

Patch0: 0001-Make-the-libsasl2-symbols-versioned.patch 

%description
The Symas Cyrus-SASL build

%prep
%setup -q cyrus-sasl-%{version}
%patch0 -p1

%build
aclocal --install;
autoreconf --verbose --force --install -Wno-portability;
sed -i.bak 's/-lRSAglue //' configure

%if 0%{?suse_version}
LDFLAGS="-L%{_sylibdir} -Wl,-rpath,%{_sylibdir}" \
%else
LDFLAGS="%{__global_ldflags} -L%{_sylibdir} -Wl,-rpath,%{_sylibdir}" \
%endif
CFLAGS="%{optflags} -D_REENTRANT -DGETXXNAM_R_5ARG" \
CXXFLAGS="%{optflags} -D_REENTRANT" \
CPPFLAGS=-I%{_syprefix}/include \
./configure --prefix=%{_syprefix} \
	--with-datadir=%{_varfix} \
	--with-saslauthd=%{_varix}/sasl \
	--localstatedir=%{_varfix} \
	--sharedstatedir=%{_etcfix} \
	--sysconfdir=%{_etcfix} \
	--with-plugindir=%{_sylibdir}/sasl2 \
	--with-dblib=no \
	--with-sqlite=no \
	--with-devrandom=/dev/urandom \
	--with-gss_impl=heimdal \
	--with-lib-subdir=lib \
	--with-openssl=%{_syprefix} \
	--enable-gssapi=%{_syprefix} \
	--enable-login \
	--enable-shared=yes --enable-static=no --without-python
make

%install
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}%{_syprefix}/sbin
rm -rf %{buildroot}%{_syprefix}/share/man/man8
rm -rf %{buildroot}%{_sylibdir}/*.la
mkdir -p %{buildroot}%{_syprefix}/share/doc/cyrus-sasl
install -m 0644 COPYING %{buildroot}%{_syprefix}/share/doc/cyrus-sasl
install -m 0644 README %{buildroot}%{_syprefix}/share/doc/cyrus-sasl

%package libs
Summary:	Cyrus-SASL Libaries
Requires: symas-openssl-libs, symas-heimdal-libs
AutoReqProv:	no

%description libs
The symas-cyrus-sasl-libs package contains the curl libraries

%package devel
Summary:	Cyrus-SASL Development
Requires: symas-cyrus-sasl-libs = %{version}-%{release}
AutoReqProv:	no

%description devel
The symas-cyrus-sasl-devel package contains the linking libraries and include files

%files libs
%defattr(-,root,root)
%dir %{_sylibdir}/sasl2
%{_sylibdir}/*.so.*
%{_sylibdir}/sasl2/*
%{_syprefix}/share/doc/cyrus-sasl

%files devel
%defattr(-,root,root)
%{_syprefix}/include
%{_sylibdir}/*.so
%{_sylibdir}/pkgconfig
%{_syprefix}/share/man/man3

%changelog
* Tue Jun 30 2022 Symas Support <support@symas.com> - 2.1.28-2
- patch to make libsasl2 symbols versioned
* Tue Jun 28 2022 Symas Support <support@symas.com> - 2.1.28-1
- cyrus-sasl 2.1.28 Release
* Tue Nov 16 2021 Symas Support <support@symas.com> - 2.1.27-4
- Package COPYING and README files
* Mon May 24 2021 Symas Support <support@symas.com> - 2.1.27-3
- Update paths for odd Symas Gold locations
* Tue May 11 2021 Symas Support <support@symas.com> - 2.1.27-2
- FHS fixups
* Tue Apr 6 2021 Symas Support <support@symas.com> - 2.1.27-1
- initial packaging
